#############################################################
#
# patch-o-matic
#
#############################################################

PATCH_O_MATIC_SOURCE_URL=http://ftp.netfilter.org/pub/patch-o-matic-ng/snapshot/
PATCH_O_MATIC_SOURCE=patch-o-matic-ng-20050225.tar.bz2
PATCH_O_MATIC_DIR=$(BUILD_DIR)/patch-o-matic-ng-20050225
#PATCH_O_MATIC_SOURCE=patch-o-matic-ng-20050130.tar.bz2
#PATCH_O_MATIC_DIR=$(BUILD_DIR)/patch-o-matic-ng-20050130

$(DL_DIR)/$(PATCH_O_MATIC_SOURCE):
	 $(WGET) -P $(DL_DIR) $(PATCH_O_MATIC_SOURCE_URL)$(PATCH_O_MATIC_SOURCE)

patch-o-matic-source: $(DL_DIR)/$(PATCH_O_MATIC_SOURCE)

$(PATCH_O_MATIC_DIR)/.unpacked: $(DL_DIR)/$(PATCH_O_MATIC_SOURCE)
	bzcat $(DL_DIR)/$(PATCH_O_MATIC_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(PATCH_O_MATIC_DIR)/.unpacked

patch-o-matic: $(PATCH_O_MATIC_DIR)/.unpacked

patch-o-matic-clean:
	-rm -rf $(PATCH_O_MATIC_DIR)

patch-o-matic-dirclean:
	-rm -rf $(PATCH_O_MATIC_DIR)
